Package org.gradle.api.artifacts

# Interface UnresolvedDependency

public interface UnresolvedDependency
Unsuccessfully resolved dependency.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getProblem()`
  the exception that is the cause of unresolved state
  `ModuleVersionSelector`
  `getSelector()`
  The module selector of the dependency.

- ## Method Details

  - ### getSelector

    ModuleVersionSelector getSelector()
    The module selector of the dependency.
    Since:
      1.1-rc-1

  - ### getProblem

    Throwable getProblem()
    the exception that is the cause of unresolved state